# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib import admin

# Register your models here.
from .models import *
from django.utils.translation import ugettext_lazy as _


class InvTypeAdmin(admin.ModelAdmin):
    list_display = ('name', 'code', 'remark')
admin.site.register(InvType, InvTypeAdmin)


class StorehouseAdmin(admin.ModelAdmin):
    list_display = ('name', 'company', 'inv_type', 'legacy_id', 'external_code', 'province', 'city', 'address', 'remark')
    list_filter = ('company',)
    # search_fields=('categoryprop',)
admin.site.register(Storehouse, StorehouseAdmin)


class VoucherAdmin(admin.ModelAdmin):
    list_display = ('name', 'code', 'inv_type', 'remark')
admin.site.register(Voucher, VoucherAdmin)



'''
class GTNAdmin(admin.ModelAdmin):
    list_display = ('code', 'store_fr', 'store_to', 'company', 'remark')
admin.site.register(GTN, GTNAdmin)



class GRNAdmin(admin.ModelAdmin):
    list_display = ('code', 'store', 'company', 'remark')
admin.site.register(GRN, GRNAdmin)



class GDNAdmin(admin.ModelAdmin):
    list_display = ('code', 'store', 'company', 'remark')
admin.site.register(GDN, GDNAdmin)
'''
